# Nacht der Untoten

Welcome to the demo of call of duty zombies inspired mod. It is not only a map, but also
a gamemode, in which you'll be fighting to survive through waves of zombies.
Features including:
- Custom enemies
- Wave system
- Power ups
- Perks
- Buying weapons + mystery box
- Barricading windows

Important:
- Yellow levers are for interaction
- Remember to spawn lock ammunition
- Each weapon from the wall can be bought once, so spawnlock that ammunition
- Buy k98k for free before starting the round

### How to play?
When you launch the game, turn 180 degrees to see and select the custom map. Then load it like any other scene.
If you can't see it, or it loads proving grounds, then 90% chances are, you've done something wrong, or there is problem with other mods.


Feel free to contact me, especially if you have any questions/feedback on [Discord group](https://discord.gg/83yTrfr)  
  or directly: Kodeman#8924  
  or by e-mail: kodeman625@gmail.com

If you want to learn how I did some things, or want to contribute, [here](https://github.com/KacperObara/H3VR_Zombie_Gamemode) is the whole map and scripts.

I have been asked few times about ways to support me, so I've created [KO-FI](https://ko-fi.com/kodeman) account.
Don't feel obliged to donate anything. Mod is in early stages, and feedback or contribution is enough :)

## Changelog

### 0.1.0
- Barricading windows system
- More Zombies option added (More zombies spawn per round, but the cap is still 20 until performance is properly tested)
- Faster Zombies option added
- Weaker Zombies option added
- Zombies animations have been improved
- Levers are little bit better (Still some behavior work to do)
- Fixed breaking the game if player reloaded the scene. Now the game should behave the same
(but if you find any bugs, let me know if you did scene reload prior, or went to main menu and back in)
- Fixed not being able to pick up power ups and being invincible
- I was not able to reproduce the bug that prevented rounds from advancing, maybe I fixed it by mistake. Still added additional checks,
so let me know if it happens again.

I've played this version couple of times, not a single game breaking bug. But I had to make many changes under the hood, so hopefully nothing additionally broke. 
Also let me know about the performance, I've got pretty unstable internet connection myself and it creates some lag spikes. Hopefully not for you.

### 0.0.6
- Friendship ended with yellow interaction box, now yellow lever is my best friend. (Or it would be if it didn't cost me so much blood, worked as intended and wasn't little buggy).
- Double points power up drops rarely from zombies.
- Nuke power up drops even rarer.
- Mystery box is no longer stationary. Find it. Find it again.
- Explosives have been nerfed.

### 0.0.5
- FINALLY basics of interactivity, consuming perks now require the player to put the bottle to his
head like the hot dog in TnH.
- Added Health system, the player is no longer killed in one hit.
- Added Jugger-Nog perk, it doubles player's health and heals him.
- Added Deadshot Daiquiri perk, it increases zombies head collider by 25%.
- More weapons in the mystery box
- Basic balancing

### 0.0.4
- Added support for different bullet types. k98k deals now more damage than 1911 pistol.
Balancing problems may occur for some time.
- Double tap perk added. Does not fire more bullets, but increases damage by 0-50% depending on the gun.
It was created to avoid "bullet spongy" enemies in higher rounds.

### 0.0.3
- Fixed enemy rendering issues.
- Windows now allow your weapons to pass through them
- You can no longer climb on the window when standing close to it.
- Zombies will not merge anymore